Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client
Interface HttpEventListener

All Known Implementing Classes:
  HttpEventListenerWrapper, SecurityListener, WebdavListener

    public interface HttpEventListener

Author:
  jesse

Method Summary
`void` | `onConnectionFailed(java.lang.Throwable ex)`
`void` | `onException(java.lang.Throwable ex)`
`void` | `onExpire()`
`void` | `onRequestCommitted()`
`void` | `onRequestComplete()`
`void` | `onResponseComplete()`
`void` | `onResponseContent(Buffer content)`
`void` | `onResponseHeader(Buffer name, Buffer value)`
`void` | `onResponseHeaderComplete()`
`void` | `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` | `onRetry()`

Method Detail

### onRequestCommitted

    void onRequestCommitted()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### onRequestComplete

    void onRequestComplete()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### onResponseStatus

    void onResponseStatus(Buffer version,
                          int status,
                          Buffer reason)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### onResponseHeader

    void onResponseHeader(Buffer name,
                          Buffer value)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### onResponseHeaderComplete

    void onResponseHeaderComplete()
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### onResponseContent

    void onResponseContent(Buffer content)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### onResponseComplete

    void onResponseComplete()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### onConnectionFailed

    void onConnectionFailed(java.lang.Throwable ex)

### onException

    void onException(java.lang.Throwable ex)

### onExpire

    void onExpire()

### onRetry

    void onRetry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.